Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046611
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-05-11 09:132021-06-18 11:46
ReporterlorenzofidalgoView Statuspublic 
Assigned Togorka_gil 
PrioritynormalResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046611: [21Q2] Return payments from Return Orders do not work properly with Credit Notes

DescriptionReturn money using Credit Notes does not work properly. Credit Note balance is wrongly calculated and Credit Notes are closed when they should not.
Steps To Reproduce0-Login POS2 as vallblanca with Credit Notes configuration completed.
1-Add 1x "Avalanche Transceiver" to the current receipt.
2-Click Pay button. Click Return Order button.
3-Click Credit Note payment button and add a previously created Credit Note to receive the return. (Closed Credit Notes are also accepted here)
4-Once the Credit Note has been added, click Done.
5-Go to the backoffice and go to "Gift Card Insance" window and check Current Balance and Status fields. DEFECT: Calculations are not properly done. Besides, currently, a closed Credit Note can also accept that return payment.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046630TAP acknowledgedRetail [21Q2] Return payments from Return Orders do not work properly with Credit Notes 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0129628)
hgbot (developer)
2021-06-17 19:11

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/565 [^]
(0129629)
hgbot (developer)
2021-06-17 19:11

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/73 [^]
(0129650)
hgbot (developer)
2021-06-18 11:46

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/565 [^]

- Issue History
Date Modified Username Field Change
2021-05-11 09:13 lorenzofidalgo New Issue
2021-05-11 09:13 lorenzofidalgo Assigned To => Retail
2021-05-11 09:13 lorenzofidalgo Triggers an Emergency Pack => No
2021-05-12 09:55 guilleaer Status new => scheduled
2021-05-12 09:55 guilleaer Status scheduled => acknowledged
2021-06-10 17:53 guilleaer Status acknowledged => scheduled
2021-06-10 17:54 guilleaer Assigned To Retail => gorka_gil
2021-06-17 19:11 hgbot Note Added: 0129628
2021-06-17 19:11 hgbot Note Added: 0129629
2021-06-18 11:46 hgbot Note Added: 0129650


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker